\version "2.18.0"
% The next line makes Frescobaldi compile a different file
% -*- master: MSDM.ly;

#(set-global-staff-size globalStaffSize)
%\include "gregorian.ly" % don’t use, mucks up the spacing for the rest of the book
\include "divisiones.ly"
%%{

myTOCmargin = #(make-string 48 #\space)


\bookpart {
  \markup \vspace #6
  \markup \fill-line \center-align {
    \center-column {
      { \abs-fontsize #20 \bold "Robert Carver" }
      \combine \null \vspace #1
      { \abs-fontsize #16 "(c.1485-c.1570)" }
      { \null }
      { \abs-fontsize #20 \concat { \bold "Missa " \bold \italic "Dum sacrum mysterium"  } }
      { \null }
      { \abs-fontsize #10 "Edited from the Carver Choirbook by Vaughan McAlley (2013)" }
    }
  }
  \markup \vspace #6
  \markuplist \table-of-contents
  \markup \vspace #6

  \score {
    <<
      \new Staff {
        \new Voice = "intonation"
        \relative g {
          \revert Score.SpacingSpanner.packed-spacing
          \set Score.timing = ##f

          \key c \major
          \clef "treble_8"
          %\time 11/4
          \slurUp
          g4( d) f( g a) g g g( a) g g
          %\mark "*"
          \bar "" \divisioMinima
          %\time 10/4
          g g( a) a( g f) g( a) a g
          \bar "" \divisioMaxima
          %\time 11/4
          a( c) c c( b) a c( b) a( g) g
          \bar "" \divisioMinima
          % \time 6/4
          g( e) g f e d
          \bar "" \divisioMaxima
          % \time 11/4
          g g g a g f g g( a) f f
          \bar "" \divisioMaxima
          % \time 9/4
          a( c) c c( b) a c( b) g
          \bar "" \divisioMinima
          % \time 10/4
          g a g g a g g f( e) d

          % \time 5/4
          f f( g) g g
          \bar "" \finalis
        }
      }
      \new Lyrics \lyricsto "intonation" {
        Dum sa -- crum my -- ste -- ri --
        \once \override LyricText.self-alignment-X = #-1
        \markup { um \bold \raise#1.0 "*" }
        cer -- ne -- ret __ Jo -- han -- nes,
        Ar -- chan -- ge -- lus Mi -- cha -- el
        tu -- ba ce -- ci -- nit:
        I -- gno -- sce Do -- mi -- ne De -- us __ no -- ster,
        qui __ a -- pe -- ris li -- brum
        et sol -- vis si -- gna -- cu -- la e -- jus,
        al -- le -- lu -- ia.
      }
    >>
    \layout {
      system-separator-markup = \markup \null
      %system-count = #1
      ragged-last = ##f
      indent = 0\mm
      %line-width = 132\mm
      \context {
        \Score
        \remove "Bar_number_engraver"
        \override SpacingSpanner.base-shortest-duration = #(ly:make-moment 1/16)
        % \override RehearsalMark.Y-offset = #3
        % \override RehearsalMark.outside-staff-priority = #0
        % \override RehearsalMark.direction = #-1
      }
      \context {
        \Staff
        %\remove "Bar_engraver"
        \remove "Time_signature_engraver"
        \remove "Ambitus_engraver"
        \override Stem.transparent = ##t

      }
      \context {
        \Voice
        % \remove "Stem_engraver"
        \override Stem.length = #0
      }
      \context {
        \Lyrics
        %\override LyricText.padding = #3
        \override VerticalAxisGroup.nonstaff-relatedstaff-spacing = #'((padding . 1.25))
      }

    }
  }
  %}

  \markup {
    \left-column {
      \italic "While John surveys the divine mystery,"
      \italic "Archangel Michael sounds the trumpet."
      \italic "O forgiving Lord, our God, who lays open"
      \italic "the book and reveals his signs."
      \italic "Alleluia."
      \null
      \concat {
        "From the "
        \italic "Antiphonale Sarisburiense: A reproduction in facsimile of a manuscript of the thirteenth century, with a"
      }
      \concat {
        \italic "dissertation and analytical index"
        ", by Walter Howard Frere. (London, Plainsong & Mediaeval Music Society, 1901)"
      }
    }
  }

  %%{
  \paper {
    #(set-paper-size "a4")
    #(include-special-characters)
    top-margin = 20\mm
    bottom-margin = 20\mm
    left-margin = 19\mm
    right-margin = 19\mm
    markup-system-spacing #'padding = #3
    score-system-spacing =
    #'((basic-distance . 15)
       (minimum-distance . 15)
       (padding . 9)
       (stretchability . 12))

    system-system-spacing #'basic-distance = #16
    system-system-spacing #'stretchability = #5
    %last-bottom-spacing #'minimum-distance = 12\mm
    ragged-last-bottom = ##t
    %systems-per-page = #2

    %print-all-headers = ##t
    oddHeaderMarkup = \markup \null
    evenHeaderMarkup = \markup \null
    %%{
    evenFooterMarkup = \markup {
      \fill-line {
        {
          \huge \sans \bold {
            \on-the-fly #print-page-number-check-first
            \fromproperty #'page:page-number-string
          }
        }
        \myFooter
        " "
      }
    }
    oddFooterMarkup = \markup {
      \fill-line {
        {
          " "
          \on-the-fly #not-first-page \myFooter
          \huge \sans \bold {
            \on-the-fly #print-page-number-check-first
            \fromproperty #'page:page-number-string
          }
        }
      }
    }
    %}
    tocItemMarkup = \markup {
      \fill-with-pattern #1 #RIGHT .
      \concat { \myTOCmargin \fromproperty #'toc:text }
      \concat { \fromproperty #'toc:page \myTOCmargin }
    }
    first-page-number = #2
    %print-first-page-number = ##f
    system-separator-markup = \markup \null
  }
}
%}
%{
  \paper {
  #(set-paper-size "a4")
  #(include-special-characters)
  top-margin = 20\mm
  bottom-margin = 20\mm
  left-margin = 19\mm
  right-margin = 19\mm
  markup-system-spacing #'padding = #3
  score-system-spacing =
  #'((basic-distance . 15)
  (minimum-distance . 15)
  (padding . 9)
  (stretchability . 12))
  markup-markup-spacing #'minimum-distance = #9
  score-markup-spacing #'minimum-distance = #15
  system-system-spacing #'basic-distance = #16
  system-system-spacing #'stretchability = #5
  %last-bottom-spacing #'minimum-distance = 12\mm
  %ragged-last = ##t
  %systems-per-page = #2
  oddHeaderMarkup = \markup \null
  evenHeaderMarkup = \markup \null
  evenFooterMarkup = \markup \null
  oddFooterMarkup = \markup \null
  %first-page-number = #57
  %print-first-page-number = ##t
  %system-separator-markup = \slashSeparator
  }
%}

%{
convert-ly (GNU LilyPond) 2.18.2  convert-ly: Processing `'...
Applying conversion: 2.17.0, 2.17.4, 2.17.5, 2.17.6, 2.17.11, 2.17.14,
2.17.15, 2.17.18, 2.17.19, 2.17.20, 2.17.25, 2.17.27, 2.17.29,
2.17.97, 2.18.0
%}
